package xiaoqu.home.open.model.db2;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 任务
 * </p>
 *
 * @author wh
 * @since 2023-11-08
 */
@TableName("task_info")
@ApiModel(value="TaskInfo对象", description="任务")
public class TaskInfo extends Model<TaskInfo> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "上报人id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "上报人")
    @TableField("create_name")
    private String createName;

    @ApiModelProperty(value = "任务生成时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改人")
    @TableField("modify_name")
    private String modifyName;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "站点id")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "物业id")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "代理id")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "站点名称")
    @TableField("district_name")
    private String districtName;

    @ApiModelProperty(value = "物业名称")
    @TableField("property_name")
    private String propertyName;

    @ApiModelProperty(value = "代理名称")
    @TableField("agent_name")
    private String agentName;

    @ApiModelProperty(value = "任务名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "任务派单号")
    @TableField("no")
    private String no;

    @ApiModelProperty(value = "任务标准/任务生成条件")
    @TableField("standard")
    private String standard;

    @ApiModelProperty(value = "任务方法/任务要求")
    @TableField("content")
    private String content;

    @ApiModelProperty(value = "计划类型(0:计划;1:设备维护任务;2:指派;3:人工上报;4:巡检上报)")
    @TableField("task_type")
    private Integer taskType;

    @ApiModelProperty(value = "任务生成类型(0:定时;1:人流;2:系统监控)")
    @TableField("task_create_type")
    private Integer taskCreateType;

    @ApiModelProperty(value = "任务类型id")
    @TableField("type_id")
    private Long typeId;

    @ApiModelProperty(value = "任务状态(0:已生成;1:已匹配;2:待抢单;3:已接单;4:作业中;5:按时完成;6:超时完成;7:人工取消;8:系统取消;9:未完成)")
    @TableField("status")
    private Integer status;

    @ApiModelProperty(value = "任务派发时间")
    @TableField("send_time")
    private Date sendTime;

    @ApiModelProperty(value = "响应时间")
    @TableField("confirm_time")
    private Date confirmTime;

    @ApiModelProperty(value = "响应时长(接单时间-派单时间||查看时间-派单时间)")
    @TableField("confirm_timing")
    private Integer confirmTiming;

    @ApiModelProperty(value = "任务作业时间")
    @TableField("action_time")
    private Date actionTime;

    @ApiModelProperty(value = "任务超时时刻(开始执行时间+任务超时设定时长)")
    @TableField("pre_finish_time")
    private Date preFinishTime;

    @ApiModelProperty(value = "任务完成时间")
    @TableField("finish_time")
    private Date finishTime;

    @ApiModelProperty(value = "作业时长(任务完成时间-开始执行时间)")
    @TableField("timing")
    private Integer timing;

    @ApiModelProperty(value = "超时时长")
    @TableField("over_timing")
    private Integer overTiming;

    @ApiModelProperty(value = "任务积分")
    @TableField("point")
    private Double point;

    @ApiModelProperty(value = "积分开关")
    @TableField("point_status")
    private Integer pointStatus;

    @ApiModelProperty(value = "设备编号")
    @TableField("sn_code")
    private String snCode;

    @ApiModelProperty(value = "任务人员操作类型(0:不限;1:指定)")
    @TableField("user_type")
    private Integer userType;

    @ApiModelProperty(value = "是否合作完成(0:单人;1:多人)")
    @TableField("user_status")
    private Integer userStatus;

    @ApiModelProperty(value = "过期类型（0:不过期;1:第二天过期;2:指定时间过期）")
    @TableField("expire_type")
    private Integer expireType;

    @ApiModelProperty(value = "过期时间")
    @TableField("expire_time")
    private Date expireTime;

    @ApiModelProperty(value = "计划id")
    @TableField("plan_id")
    private Long planId;

    @ApiModelProperty(value = "任务位置")
    @TableField("task_position")
    private String taskPosition;

    @ApiModelProperty(value = "任务派单人员")
    @TableField("task_distributi_user")
    private String taskDistributiUser;

    @ApiModelProperty(value = "任务接单人员")
    @TableField("task_accept_user")
    private String taskAcceptUser;

    @ApiModelProperty(value = "匹配时间")
    @TableField("match_time")
    private Date matchTime;

    @ApiModelProperty(value = "任务查看时间")
    @TableField("look_time")
    private Date lookTime;

    @ApiModelProperty(value = "转场时长(开始执行时间-接单时间||开始执行时间-查看时间)")
    @TableField("transfer_timing")
    private Integer transferTiming;

    @ApiModelProperty(value = "任务实际执行时长(任务完成时间-(接单时间或查看时间))")
    @TableField("task_actual_action_timing")
    private Double taskActualActionTiming;

    @ApiModelProperty(value = "临期派单时间(任务超时时刻-临期派单时长)")
    @TableField("impending_period_send_time")
    private Date impendingPeriodSendTime;

    @ApiModelProperty(value = "任务有效期初时间(允许任务开始执行的时间=任务执行期初时间=任务生成时间)")
    @TableField("period_of_validity_begin_time")
    private Date periodOfValidityBeginTime;

    @ApiModelProperty(value = "任务有效期末时间")
    @TableField("period_of_validity_end_time")
    private Date periodOfValidityEndTime;

    @ApiModelProperty(value = "任务执行期初时间")
    @TableField("execution_phase_begin_time")
    private Date executionPhaseBeginTime;

    @ApiModelProperty(value = "任务执行期末时间")
    @TableField("execution_phase_end_time")
    private Date executionPhaseEndTime;

    @ApiModelProperty(value = "池排序")
    @TableField("pool_order")
    private Integer poolOrder;

    @ApiModelProperty(value = "组排序")
    @TableField("group_order")
    private Integer groupOrder;

    @ApiModelProperty(value = "任务排序")
    @TableField("task_order")
    private Integer taskOrder;

    @ApiModelProperty(value = "人工分配标识 0:自动分配;1:人工分配")
    @TableField("manual_allocation")
    private Integer manualAllocation;

    @ApiModelProperty(value = "班组长管理人逗号分隔")
    @TableField("upload_manage_user")
    private String uploadManageUser;

    @ApiModelProperty(value = "应巡")
    @TableField("should_inspect")
    private Integer shouldInspect;

    @ApiModelProperty(value = "实巡")
    @TableField("actual_inspect")
    private Integer actualInspect;

    @ApiModelProperty(value = "未巡")
    @TableField("not_inspect")
    private Integer notInspect;

    @ApiModelProperty(value = "时薪工时")
    @TableField("wage_hour")
    private Double wageHour;

    @ApiModelProperty(value = "时薪类型")
    @TableField("wage_id")
    private Long wageId;

    @ApiModelProperty(value = "上报管理人")
    @TableField("report_manage_user")
    private String reportManageUser;

    @ApiModelProperty(value = "薪资金额")
    @TableField("salary")
    private Double salary;

    @ApiModelProperty(value = "时薪类型名称")
    @TableField("wage_name")
    private String wageName;

    @ApiModelProperty(value = "计划开始时间")
    @TableField("start_time")
    private Date startTime;

    @ApiModelProperty(value = "计划结束时间")
    @TableField("end_time")
    private Date endTime;

    @ApiModelProperty(value = "任务要求")
    @TableField("task_require")
    private String taskRequire;

    @ApiModelProperty(value = "强制打卡开关")
    @TableField("clock_flag")
    private Integer clockFlag;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public String getModifyName() {
        return modifyName;
    }

    public void setModifyName(String modifyName) {
        this.modifyName = modifyName;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public String getStandard() {
        return standard;
    }

    public void setStandard(String standard) {
        this.standard = standard;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getTaskType() {
        return taskType;
    }

    public void setTaskType(Integer taskType) {
        this.taskType = taskType;
    }

    public Integer getTaskCreateType() {
        return taskCreateType;
    }

    public void setTaskCreateType(Integer taskCreateType) {
        this.taskCreateType = taskCreateType;
    }

    public Long getTypeId() {
        return typeId;
    }

    public void setTypeId(Long typeId) {
        this.typeId = typeId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public Date getConfirmTime() {
        return confirmTime;
    }

    public void setConfirmTime(Date confirmTime) {
        this.confirmTime = confirmTime;
    }

    public Integer getConfirmTiming() {
        return confirmTiming;
    }

    public void setConfirmTiming(Integer confirmTiming) {
        this.confirmTiming = confirmTiming;
    }

    public Date getActionTime() {
        return actionTime;
    }

    public void setActionTime(Date actionTime) {
        this.actionTime = actionTime;
    }

    public Date getPreFinishTime() {
        return preFinishTime;
    }

    public void setPreFinishTime(Date preFinishTime) {
        this.preFinishTime = preFinishTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public Integer getTiming() {
        return timing;
    }

    public void setTiming(Integer timing) {
        this.timing = timing;
    }

    public Integer getOverTiming() {
        return overTiming;
    }

    public void setOverTiming(Integer overTiming) {
        this.overTiming = overTiming;
    }

    public Double getPoint() {
        return point;
    }

    public void setPoint(Double point) {
        this.point = point;
    }

    public Integer getPointStatus() {
        return pointStatus;
    }

    public void setPointStatus(Integer pointStatus) {
        this.pointStatus = pointStatus;
    }

    public String getSnCode() {
        return snCode;
    }

    public void setSnCode(String snCode) {
        this.snCode = snCode;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public Integer getUserStatus() {
        return userStatus;
    }

    public void setUserStatus(Integer userStatus) {
        this.userStatus = userStatus;
    }

    public Integer getExpireType() {
        return expireType;
    }

    public void setExpireType(Integer expireType) {
        this.expireType = expireType;
    }

    public Date getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Date expireTime) {
        this.expireTime = expireTime;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public String getTaskPosition() {
        return taskPosition;
    }

    public void setTaskPosition(String taskPosition) {
        this.taskPosition = taskPosition;
    }

    public String getTaskDistributiUser() {
        return taskDistributiUser;
    }

    public void setTaskDistributiUser(String taskDistributiUser) {
        this.taskDistributiUser = taskDistributiUser;
    }

    public String getTaskAcceptUser() {
        return taskAcceptUser;
    }

    public void setTaskAcceptUser(String taskAcceptUser) {
        this.taskAcceptUser = taskAcceptUser;
    }

    public Date getMatchTime() {
        return matchTime;
    }

    public void setMatchTime(Date matchTime) {
        this.matchTime = matchTime;
    }

    public Date getLookTime() {
        return lookTime;
    }

    public void setLookTime(Date lookTime) {
        this.lookTime = lookTime;
    }

    public Integer getTransferTiming() {
        return transferTiming;
    }

    public void setTransferTiming(Integer transferTiming) {
        this.transferTiming = transferTiming;
    }

    public Double getTaskActualActionTiming() {
        return taskActualActionTiming;
    }

    public void setTaskActualActionTiming(Double taskActualActionTiming) {
        this.taskActualActionTiming = taskActualActionTiming;
    }

    public Date getImpendingPeriodSendTime() {
        return impendingPeriodSendTime;
    }

    public void setImpendingPeriodSendTime(Date impendingPeriodSendTime) {
        this.impendingPeriodSendTime = impendingPeriodSendTime;
    }

    public Date getPeriodOfValidityBeginTime() {
        return periodOfValidityBeginTime;
    }

    public void setPeriodOfValidityBeginTime(Date periodOfValidityBeginTime) {
        this.periodOfValidityBeginTime = periodOfValidityBeginTime;
    }

    public Date getPeriodOfValidityEndTime() {
        return periodOfValidityEndTime;
    }

    public void setPeriodOfValidityEndTime(Date periodOfValidityEndTime) {
        this.periodOfValidityEndTime = periodOfValidityEndTime;
    }

    public Date getExecutionPhaseBeginTime() {
        return executionPhaseBeginTime;
    }

    public void setExecutionPhaseBeginTime(Date executionPhaseBeginTime) {
        this.executionPhaseBeginTime = executionPhaseBeginTime;
    }

    public Date getExecutionPhaseEndTime() {
        return executionPhaseEndTime;
    }

    public void setExecutionPhaseEndTime(Date executionPhaseEndTime) {
        this.executionPhaseEndTime = executionPhaseEndTime;
    }

    public Integer getPoolOrder() {
        return poolOrder;
    }

    public void setPoolOrder(Integer poolOrder) {
        this.poolOrder = poolOrder;
    }

    public Integer getGroupOrder() {
        return groupOrder;
    }

    public void setGroupOrder(Integer groupOrder) {
        this.groupOrder = groupOrder;
    }

    public Integer getTaskOrder() {
        return taskOrder;
    }

    public void setTaskOrder(Integer taskOrder) {
        this.taskOrder = taskOrder;
    }

    public Integer getManualAllocation() {
        return manualAllocation;
    }

    public void setManualAllocation(Integer manualAllocation) {
        this.manualAllocation = manualAllocation;
    }

    public String getUploadManageUser() {
        return uploadManageUser;
    }

    public void setUploadManageUser(String uploadManageUser) {
        this.uploadManageUser = uploadManageUser;
    }

    public Integer getShouldInspect() {
        return shouldInspect;
    }

    public void setShouldInspect(Integer shouldInspect) {
        this.shouldInspect = shouldInspect;
    }

    public Integer getActualInspect() {
        return actualInspect;
    }

    public void setActualInspect(Integer actualInspect) {
        this.actualInspect = actualInspect;
    }

    public Integer getNotInspect() {
        return notInspect;
    }

    public void setNotInspect(Integer notInspect) {
        this.notInspect = notInspect;
    }

    public Double getWageHour() {
        return wageHour;
    }

    public void setWageHour(Double wageHour) {
        this.wageHour = wageHour;
    }

    public Long getWageId() {
        return wageId;
    }

    public void setWageId(Long wageId) {
        this.wageId = wageId;
    }

    public String getReportManageUser() {
        return reportManageUser;
    }

    public void setReportManageUser(String reportManageUser) {
        this.reportManageUser = reportManageUser;
    }

    public Double getSalary() {
        return salary;
    }

    public void setSalary(Double salary) {
        this.salary = salary;
    }

    public String getWageName() {
        return wageName;
    }

    public void setWageName(String wageName) {
        this.wageName = wageName;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getTaskRequire() {
        return taskRequire;
    }

    public void setTaskRequire(String taskRequire) {
        this.taskRequire = taskRequire;
    }

    public Integer getClockFlag() {
        return clockFlag;
    }

    public void setClockFlag(Integer clockFlag) {
        this.clockFlag = clockFlag;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "TaskInfo{" +
        "id=" + id +
        ", createId=" + createId +
        ", createName=" + createName +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyName=" + modifyName +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", districtId=" + districtId +
        ", propertyId=" + propertyId +
        ", agentId=" + agentId +
        ", districtName=" + districtName +
        ", propertyName=" + propertyName +
        ", agentName=" + agentName +
        ", name=" + name +
        ", no=" + no +
        ", standard=" + standard +
        ", content=" + content +
        ", taskType=" + taskType +
        ", taskCreateType=" + taskCreateType +
        ", typeId=" + typeId +
        ", status=" + status +
        ", sendTime=" + sendTime +
        ", confirmTime=" + confirmTime +
        ", confirmTiming=" + confirmTiming +
        ", actionTime=" + actionTime +
        ", preFinishTime=" + preFinishTime +
        ", finishTime=" + finishTime +
        ", timing=" + timing +
        ", overTiming=" + overTiming +
        ", point=" + point +
        ", pointStatus=" + pointStatus +
        ", snCode=" + snCode +
        ", userType=" + userType +
        ", userStatus=" + userStatus +
        ", expireType=" + expireType +
        ", expireTime=" + expireTime +
        ", planId=" + planId +
        ", taskPosition=" + taskPosition +
        ", taskDistributiUser=" + taskDistributiUser +
        ", taskAcceptUser=" + taskAcceptUser +
        ", matchTime=" + matchTime +
        ", lookTime=" + lookTime +
        ", transferTiming=" + transferTiming +
        ", taskActualActionTiming=" + taskActualActionTiming +
        ", impendingPeriodSendTime=" + impendingPeriodSendTime +
        ", periodOfValidityBeginTime=" + periodOfValidityBeginTime +
        ", periodOfValidityEndTime=" + periodOfValidityEndTime +
        ", executionPhaseBeginTime=" + executionPhaseBeginTime +
        ", executionPhaseEndTime=" + executionPhaseEndTime +
        ", poolOrder=" + poolOrder +
        ", groupOrder=" + groupOrder +
        ", taskOrder=" + taskOrder +
        ", manualAllocation=" + manualAllocation +
        ", uploadManageUser=" + uploadManageUser +
        ", shouldInspect=" + shouldInspect +
        ", actualInspect=" + actualInspect +
        ", notInspect=" + notInspect +
        ", wageHour=" + wageHour +
        ", wageId=" + wageId +
        ", reportManageUser=" + reportManageUser +
        ", salary=" + salary +
        ", wageName=" + wageName +
        ", startTime=" + startTime +
        ", endTime=" + endTime +
        ", taskRequire=" + taskRequire +
        ", clockFlag=" + clockFlag +
        "}";
    }
}
